using System;
using System.Collections.Generic;
using System.Text;

namespace m3uTool
{
	public class ProcessArguments
	{
		/// <summary>
		/// Gets a string representing the command line arguments specified by the properties in the object.
		/// </summary>
		/// <returns></returns>
		public virtual string GetCommandLineArguments()
		{
			return "";
		}
		
		protected string GetQuotedCommandLineArgument(string argument)
		{
			if (argument.Contains(" ") || argument.Contains("\t"))
			{
				return "\"" + argument + "\"";
			}
			return argument;
		}
		
	}
}
